#include <stdint.h>
#include "common.h"
#include "uart.h"

int akida_uart_hld_open(struct uart_driver* drv, const uart_config_t* uart_cfg) {
    (void)drv;
    (void)uart_cfg;
    return ENOT_IMPLEMENTED;
}

int akida_uart_hld_read(struct uart_driver* drv, uint8_t* buf, const uint32_t len,
                        const uint32_t timeout, uart_xfer_complete_callback cb, void* cb_param) {
    (void)drv;
    (void)buf;
    (void)len;
    (void)timeout;
    (void)cb;
    (void)cb_param;
    return ENOT_IMPLEMENTED;
}

int akida_uart_hld_write(struct uart_driver* drv, const uint8_t* buf, const uint32_t len,
                         const uint32_t timeout, uart_xfer_complete_callback cb, void* cb_param) {
    (void)drv;
    (void)buf;
    (void)len;
    (void)timeout;
    (void)cb;
    (void)cb_param;
    return ENOT_IMPLEMENTED;
}

int akida_uart_hld_close(struct uart_driver* drv) {
    (void)drv;
    return ENOT_IMPLEMENTED;
}

struct uart_stream_ops akida_uart_hld_ops = {.open = akida_uart_hld_open,
                                             .read = akida_uart_hld_read,
                                             .write = akida_uart_hld_write,
                                             .close = akida_uart_hld_close};

int akida_uart_hld_init(struct driver_common* drv, void* priv) {
    (void)drv;
    (void)priv;
    UART_LOGI("Initialize akida_uart hld");
    return 0;
}

int akida_uart_hld_deinit(struct driver_common* drv, void* priv) {
    (void)drv;
    (void)priv;
    UART_LOGI("De-Initialize akida_uart hld");
    return 0;
}
