#ifndef __BC_ERROR_H_
#define __BC_ERROR_H_

/* Akida BSP error values
 */
#define SUCCESS 0                /*Success */
#define EFAILURE -1              /* Failure*/
#define ENULL_POINTER -2         /* NULL Pointer*/
#define EINVALID_PARM -3         /* Invalid Parameter */
#define ENOT_IMPLEMENTED -4      /* Functionality is not implemented */
#define EAGAIN -5                /*Transfer is not completed, try again */
#define EBAD_STATE -6            /* Bad state */
#define EBUSY -7                 /* Busy state*/
#define E_NORESOURCEAVAILABLE -8 /* No Resource available */

#endif /* __BC_ERROR_H_ */
